@echo off
rem 
rem Setup Java virtualization for flight confirmation server
rem

echo Installing and configuring Java agent for FCS...

SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%
cd "%SCRIPT_PATH%"
cd ..\install
SET UTILS_PATH=%cd%

call Utils.bat readConf TOOLS_PATH
call Utils.bat readConf RTCP_URL
call Utils.bat readConf OPTS_FOLDER

echo Copying files to Flight Confirmation Server
copy /Y "%TOOLS_PATH%"\Java\Agent\*.jar "%OPTS_FOLDER%\fcs"
copy /Y "%TOOLS_PATH%"\Java\Agent\*.xml "%OPTS_FOLDER%\fcs"

echo Java agent updated.

cd %CURRENT_PATH%