echo "Allow access to sql files"
cp *.sql /home/vbinstance/
chown vbinstance:vbusergroup /home/vbinstance/*.sql

echo "Creating the VBOOKING database and tables"
su - vbinstance <<-END
	db2 update database manager configuration using svcename db2c_db2inst1
	db2set DB2COMM=tcpip
	db2start
	db2 create database VBOOKING
	db2 connect to VBOOKING user vbuser using "vbpassword"
	db2 CREATE SCHEMA vbschema AUTHORIZATION vbuser
	db2 -tvf DB2_createReservationsTable.sql
	db2 -tvf DB2_createFlightsTable.sql
	db2 -tvf DB2_createFrequentFlyerTable.sql
	db2 -td@ -f DB2_createFlyCheckSproc.sql
	db2 disconnect VBOOKING
	
	db2 create database VBEXRATE
	db2 connect to VBEXRATE user vbuser using "vbpassword"
	db2 CREATE SCHEMA vbschema AUTHORIZATION vbuser
	db2 -tvf DB2_createCurrencyTable.sql
	db2 disconnect VBEXRATE	
END