#!/bin/bash

THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo Stopping WAS ...
$PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE/bin/stopServer.sh server1

echo Deleting profile $NAME_WAS_INSTANCE ...
$PATH_WAS_HOME/bin/manageprofiles.sh -delete -profileName $NAME_WAS_INSTANCE
$PATH_WAS_HOME/bin/manageprofiles.sh -validateAndUpdateRegistry
rm -r $PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE

echo Re-creating profile ...
$PATH_WAS_HOME/bin/manageprofiles.sh -create -profileName $NAME_WAS_INSTANCE

echo Starting WAS ...
$PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE/bin/startServer.sh server1

echo Vacation Booking deleted from WAS.
