#!/bin/bash

echo Uninstalling ActiveMQ ...
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo $ACTIVEMQ_PATH

echo Stopping ActiveMQ.. 
if [ `uname -m` == 'x86_64' ]; then
    $ACTIVEMQ_PATH/bin/'linux-x86-64'/activemq stop
else $ACTIVEMQ_PATH/bin/'linux-x86-32'/activemq stop
fi

echo Uninstall ActiveMQ ...
rm -rf $ACTIVEMQ_PATH

echo ActiveMQ uninstalled.
