#!/bin/bash

echo Uninstalling Vacation Booking from Tomcat ...

THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo Stopping Tomcat ...
$TOMCAT_PATH/bin/shutdown.sh

echo Removing Vacation Booking files from Tomcat...
rm -f $TOMCAT_PATH/webapps/{checkinWS.war,hotelsWS.war,vbooking-admin.war,vbooking-home.war}
rm -rf $TOMCAT_PATH/webapps/{checkinWS,hotelsWS,vbooking-admin,vbooking-home}

# Comment out the following 2 lines if you do not wish to uninstall tomcat completely
echo Uninstalling Tomcat ...
rm -rf $TOMCAT_PATH

echo Vacation Booking uninstalled from Tomcat.

