@echo off
REM
REM Installs documentation for Vacation Booking
REM

echo Installing documentation for Vacation Booking

SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%

cd "%SCRIPT_PATH%"

call Utils.bat readConf DOCUMENTATION_FOLDER

REM returns to root of vbooking folder to find docs
cd ../../.. 

if NOT EXIST docs (
	echo Could not find docs to install.
	exit /b 1
)

if NOT EXIST %DOCUMENTATION_FOLDER% (
	mkdir %DOCUMENTATION_FOLDER%
)

XCOPY /Y docs\*.pdf %DOCUMENTATION_FOLDER%
XCOPY /Y license.pdf %DOCUMENTATION_FOLDER%

cd %CURRENT_PATH%


