@echo off

REM
REM Install Vacation Booking schemas and copybook
REM

echo Installing Vacation Booking schemas and copybook...
SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%
echo Script executed from %SCRIPT_PATH%

REM Ensure we're in script folder
cd "%SCRIPT_PATH%"

echo Copying Vacation Booking schemas and copybook
REM Install location for schemas and copybook
call Utils.bat readConf SCHEMAS_INSTALL_PATH

REM Create required folders
cscript Utils.vbs CheckCreateFolder %SCHEMAS_INSTALL_PATH%\schemas\XSD
cscript Utils.vbs CheckCreateFolder %SCHEMAS_INSTALL_PATH%\schemas\Copybook

REM Copy schemas and copybook
xcopy "%CURRENT_PATH%\vbooking\schemas\XSD" %SCHEMAS_INSTALL_PATH%\schemas\XSD\ /Y/E
xcopy "%CURRENT_PATH%\vbooking\schemas\Copybook" %SCHEMAS_INSTALL_PATH%\schemas\Copybook\ /Y/E

echo "Vacation Booking schemas and copybook installed"

:theEnd
