#!/bin/bash
#
# Setup the JDBC driver for standalone servers.
#

echo "Updating JDBC driver for standalone servers...."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo "Stopping servers"
service vbcurrency stop
service vbseats stop

echo "Copying files"
cp $TOOLS_PATH/Java/JDBC/*.jar /opt/vbooking/currency/
cp $TOOLS_PATH/Java/JDBC/*.xml /opt/vbooking/currency/
cp $TOOLS_PATH/Java/JDBC/*.jar /opt/vbooking/availableSeats/
cp $TOOLS_PATH/Java/JDBC/*.xml /opt/vbooking/availableSeats/

echo "Starting servers"
service vbcurrency start
service vbseats start

echo "JDBC driver updated for standalone servers."
