rem
rem Script to setup the HTTP proxy for Websphere Application Server.
rem
 
echo Configuring HTTP Proxy for WAS...
SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%
cd "%SCRIPT_PATH%"
cd ../install
SET UTILS_PATH=%cd%

call Utils.bat readConf PATH_WAS_HOME
call Utils.bat readConf NAME_WAS_INSTANCE
call Utils.bat readConf HTTP_PROXY_HOST
call Utils.bat readConf HTTP_PROXY_PORT


echo Starting WAS Server
call "%PATH_WAS_HOME%\profiles\%NAME_WAS_INSTANCE%\bin\startServer.bat" server1

echo Running Jython Config Script
call "%PATH_WAS_HOME%\profiles\%NAME_WAS_INSTANCE%\bin\wsadmin" -lang jython -f "%SCRIPT_PATH%\WAS-Proxy-Install.py" "%HTTP_PROXY_HOST%" "%HTTP_PROXY_PORT%"

echo Stopping WAS Server
call "%PATH_WAS_HOME%\profiles\%NAME_WAS_INSTANCE%\bin\stopServer.bat" server1

echo Starting WAS Server
call "%PATH_WAS_HOME%\profiles\%NAME_WAS_INSTANCE%\bin\startServer.bat" server1

echo HTTP Proxy Configured for WAS.

cd %CURRENT_PATH%