#
# Script to setup the HTTP proxy for Websphere Application Server.
#

import sys
import string

cell = java.lang.System.getenv('WAS_CELL')
cellId = AdminConfig.list('Cell')
node = java.lang.System.getenv('WAS_NODE')
hostname = sys.argv[0]
portnumber = sys.argv[1]

#
# Add Http Proxy arguments to Generic JVM arguments
#

AdminTask.setGenericJVMArguments('[-serverName server1 -nodeName ' + node + ' -genericJvmArguments "-Dhttp.proxyHost=' + hostname + ' -Dhttp.proxyPort=' + portnumber + '"]')
AdminConfig.save()
