CREATE TABLE RESERVATION (
			"ID" INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1, NO CACHE),
			"GENDER" VARCHAR(200) NOT NULL,
			"MIDDLE_NAME" VARCHAR(200) NOT NULL,
			"FIRST_NAME" VARCHAR(200) NOT NULL,
			"WEEK_NUMBER" VARCHAR(200) NOT NULL,
			"FLIGHT_NUMBER" VARCHAR(200) NOT NULL,
			"RESERVATION_NUMBER" VARCHAR(200) NOT NULL,
			"PRICE" INTEGER NOT NULL,
			"LAST_NAME" VARCHAR(200) NOT NULL,
			"COMMENT" VARCHAR(200),
			"CARDHOLDER_NAME" VARCHAR(200),
			"CARD_TYPE" VARCHAR(200),
			"CARD_NUMBER" VARCHAR(200),
			"CARD_SEC_CODE" VARCHAR(200),
			"PASSPORT_ID" VARCHAR(200),
			"BOARDED" VARCHAR(200),
			PRIMARY KEY (RESERVATION_NUMBER))
            COMPRESS YES  
            IN "USERSPACE1" ; 
			
commit;