@echo off
REM Remove the VBooking database

echo Removing DB2 config....
SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%

cd "%SCRIPT_PATH%"
call Utils.bat CheckSetDB2Path REM set's DB2_PATH
echo DB2 located at %DB2_PATH%

echo Removing DB2 configuration.

echo Dropping schema
call Utils.bat readConf USERNAME_DB2_VBOOKING
call Utils.bat readConf PASSWORD_DB2_VBOOKING
call Utils.bat readConf SCHEMA_DB2_VBOOKING

(
	echo db2 connect to VBOOKING user %USERNAME_DB2_VBOOKING% using %PASSWORD_DB2_VBOOKING%
	echo db2 CALL SYSPROC.ADMIN_DROP_SCHEMA^('%SCHEMA_DB2_VBOOKING%', NULL, 'ERRORSCHEMA', 'ERRORTABLE'^)
	echo DB2 UNQUIESCE DATABASE
	echo DB2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS
	echo DB2 UNQUIESCE DATABASE
	echo DB2 CONNECT RESET
	echo DB2 DROP DATABASE VBOOKING
	
	echo db2 connect to VBEXRATE user %USERNAME_DB2_VBOOKING% using %PASSWORD_DB2_VBOOKING%
	echo db2 CALL SYSPROC.ADMIN_DROP_SCHEMA^('%SCHEMA_DB2_VBOOKING%', NULL, 'ERRORSCHEMA', 'ERRORTABLE'^)
	echo DB2 UNQUIESCE DATABASE
	echo DB2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS
	echo DB2 UNQUIESCE DATABASE
	echo DB2 CONNECT RESET
	echo DB2 DROP DATABASE VBEXRATE	
) > db2RemoveVBooking.bat
@echo on
db2cmd -i -c -w db2RemoveVBooking.bat
@echo off

REM remove the services entry
REM just in case things go really badly
copy %SystemRoot%\system32\drivers\etc\services services_backup
type %SystemRoot%\system32\drivers\etc\services | findstr /v db2c_DB2 > services_temp
type services_temp > %SystemRoot%\system32\drivers\etc\services

echo Removed DB2 Configuration!

